package exnihilo.utils;


import lombok.Getter;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraftforge.oredict.OreDictionary;

public class ItemInfo {

	@Getter
	private int id;
	@Getter
	private int subid;

	public ItemInfo(int id)
	{
		this.id = id;
		this.subid = -1;
	}

	public ItemInfo(ItemStack itemStack)
	{
		if (itemStack != null && itemStack.getItem() != null)
		{
			this.id = Item.getIdFromItem(itemStack.getItem());
			this.subid = itemStack.getItemDamage();
		}
	}
	
	public ItemInfo(Block block, int meta)
	{
		this.id = Block.getIdFromBlock(block);
		this.subid = meta;
	}
	
	public ItemInfo(Item item, int meta)
	{
		this.id = Item.getIdFromItem(item);
		this.subid = meta;
	}


	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		result = prime * result + subid;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ItemInfo other = (ItemInfo) obj;
		if (id != other.id)
			return false;
		if (subid == OreDictionary.WILDCARD_VALUE || other.subid == OreDictionary.WILDCARD_VALUE)
			return true;
		if (subid != other.subid)
			return false;
		return true;
	}

}
